; Sketchy Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the Sketchy distribution
; for conditions of use.

; ---name---
; string-length

; ---conformance---
; R5RS

; ---purpose---
; Compute the length of a string.

; ---args---
; X - string

; ---keywords---
; STRING-LENGTH function, strings, length

; ---see-also---
; string, string-append, string-ref, append

; ---example---
; (string-length "Hello") => 5

(define s-length #t)

;c length.l

; ---model---
; (define (string-length x)
;   (length (string->list x)))

; ---code---
; This function is a primitive function.

