; Sketchy Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the Sketchy distribution
; for conditions of use.

; ---name---
; sketchy

; ---conformance---
; Sketchy Core

; ---purpose---
; Load the Sketchy core library into memory.

; ---keywords---
; Sketchy, procedures functions, routines, subroutines

(define sketchy #t)

; ---code---
(package 'sketchy)
:c abs.l
:c append.l
:c assoc.l
:c assq.l
:c booleanp.l boolean?
:c caaaar.l
:c caaar.l
:c caar.l
:c c-alphabeticp.l char-alphabetic?
:c c-cigep.l char-ci>=?
:c c-cigtp.l char-ci>?
:c c-cilep.l char-ci<=?
:c c-downcase.l
:c c-lower-casep.l char-lower-case?
:c c-numericp.l char-numeric?
:c c-upcase.l
:c c-upper-casep.l char-upper-case?
:c c-whitespacep.l char-whitespace?
:c cgep.l char>=?
:c cgtp.l char>?
:c clep.l char<=?
:c digits.l
:c divide.l
:c equal.l =
:c equalp.l equal?
:c evenp.l even?
:c expt.l
:c gcd.l
:c greater.l >
:c gteq.l >=
:c id.l
:c integer.l
:c iterate.l
:c lcm.l
:c length.l
:c less.l <
:c list-ref.l
:c list-tail.l
:c list.l
:c listp.l list?
:c lteq.l <=
:c map.l
:c max.l
:c member.l
:c memq.l
:c min.l -
:c minus.l -
:c modulo.l
:c natural.l
:c naturalp.l natural?
:c ndivide.l
:c negate.l
:c negativep.l negative?
:c neqp.l neq?
:c newline.l
:c nexpt.l
:c ngreater.l n>
:c ngteq.l n>=
:c nlteq.l n<=
:c non-negativep.l non-negative?
:c normalize.l
:c not.l
:c nquotient.l
:c nremainder.l
:c ntimes.l n*
:c numtostr.l number->string
:c oddp.l odd?
:c plus.l +
:c positivep.l positive?
:c quotient.l
:c remainder.l
:c reverse.l
:c sqrt.l
:c string.l
:c strtonum.l string->number
:c s-append.l
:c s-cieqp.l string-ci=?
:c s-cigtp.l string-ci>?
:c s-cigep.l string-ci>=?
:c s-ciltp.l string-ci<?
:c s-cilep.l string-ci<=?
:c s-length.l
:c s-ref.l
:c seqp.l string=?
:c sgtp.l string>?
:c sgep.l string>=?
:c sltp.l string<?
:c slep.l string<=?
:c substring.l
:c times.l *
:c zerop.l zero?
(package)

